//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Container element for information on permits related to the Gathering event
 * 
 * <p>Java class for Permit complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Permit"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Type"&gt;
 *           &lt;simpleType&gt;
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *               &lt;enumeration value="Contract"/&gt;
 *               &lt;enumeration value="Copyright"/&gt;
 *               &lt;enumeration value="Data use"/&gt;
 *               &lt;enumeration value="Exemption Permit"/&gt;
 *               &lt;enumeration value="Export Permit"/&gt;
 *               &lt;enumeration value="Genetically Modified Organism"/&gt;
 *               &lt;enumeration value="Human Pathogens"/&gt;
 *               &lt;enumeration value="Intellectual Property Rights"/&gt;
 *               &lt;enumeration value="Internationally Recognized Certificate of Compliance"/&gt;
 *               &lt;enumeration value="Import Permit"/&gt;
 *               &lt;enumeration value="Collecting Permit"/&gt;
 *               &lt;enumeration value="Material Transfer Agreement"/&gt;
 *               &lt;enumeration value="Memorandum of Cooperation"/&gt;
 *               &lt;enumeration value="Memorandum of Understanding"/&gt;
 *               &lt;enumeration value="Patent"/&gt;
 *               &lt;enumeration value="Phytosanitary"/&gt;
 *               &lt;enumeration value="Salvage"/&gt;
 *               &lt;enumeration value="Veterinary Certificate"/&gt;
 *             &lt;/restriction&gt;
 *           &lt;/simpleType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Status"&gt;
 *           &lt;simpleType&gt;
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *               &lt;enumeration value="Permit available"/&gt;
 *               &lt;enumeration value="Permit not required"/&gt;
 *               &lt;enumeration value="Permit not available"/&gt;
 *               &lt;enumeration value="Unknown"/&gt;
 *             &lt;/restriction&gt;
 *           &lt;/simpleType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="Details" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *         &lt;element name="ResourceURI" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
 *         &lt;element name="WebsiteURL" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/&gt;
 *         &lt;element name="Text" type="{http://www.tdwg.org/schemas/abcd/3.0}StringL" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Permit", propOrder = {
    "type",
    "status",
    "details",
    "resourceURI",
    "websiteURL",
    "text"
})
public class Permit {

    @XmlElement(name = "Type", required = true)
    protected String type;
    @XmlElement(name = "Status", required = true)
    protected String status;
    @XmlElement(name = "Details")
    protected StringL details;
    @XmlElement(name = "ResourceURI")
    @XmlSchemaType(name = "anyURI")
    protected String resourceURI;
    @XmlElement(name = "WebsiteURL")
    @XmlSchemaType(name = "anyURI")
    protected String websiteURL;
    @XmlElement(name = "Text")
    protected StringL text;

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setStatus(String value) {
        this.status = value;
    }

    /**
     * Gets the value of the details property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getDetails() {
        return details;
    }

    /**
     * Sets the value of the details property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setDetails(StringL value) {
        this.details = value;
    }

    /**
     * Gets the value of the resourceURI property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResourceURI() {
        return resourceURI;
    }

    /**
     * Sets the value of the resourceURI property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResourceURI(String value) {
        this.resourceURI = value;
    }

    /**
     * Gets the value of the websiteURL property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWebsiteURL() {
        return websiteURL;
    }

    /**
     * Sets the value of the websiteURL property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWebsiteURL(String value) {
        this.websiteURL = value;
    }

    /**
     * Gets the value of the text property.
     * 
     * @return
     *     possible object is
     *     {@link StringL }
     *     
     */
    public StringL getText() {
        return text;
    }

    /**
     * Sets the value of the text property.
     * 
     * @param value
     *     allowed object is
     *     {@link StringL }
     *     
     */
    public void setText(StringL value) {
        this.text = value;
    }

}
